GuidesAPI Reference
API Reference

Add a resource to the requested Project as a Resource Home or Resource Reference(Link)

Add the resource to the requested Project as a home or a reference(link).


Access Control:

  • When relation=home,

    The requested resource will be assigned the requested project as its resource home. The resource MUST NOT already have an existing resource home.

    • The calling principal must have manageResourceHome action permission for the resource "{project}" AND the share action for the resource "{resource}" in the "{authorization}" service.
    • The calling principal must have manageResourceHome action permission for the specified project in the "{authorization}" service AND all requiredToAddToProjects actions defined by the service for the resource "{resource}".
    • The calling principal MUST NOT include a project scope.
  • When relation=reference,

    Link the resource to the requested Project as a reference(link). The requested resource will be assigned to the requested project as reference(link). The resource MUST be available to the caller to attach as a resource reference(link). A resource is referenceable if it has been marked as referenceable and the caller has permission to all reference enabled actions against the resource OR The resource has been made linkable to the project/realm for the project linking enabled action.

    The exclusive list of resources available to the caller to attach as a resource reference(link) is accessible via a call to /resources?referenceable=true or /resources?linkable=true

    • The calling principal must have manageResourceReferences action permission for the resource "{project}" in the "{authorization}" service.
    • The calling principal is a member of the specified project.
    • The calling principal must have permission to attach the resource as a referenceable resource. A resource is referenceable to the caller if:
      • It has been marked as referenceable and The caller has permission to all reference enabled actions against the resource. OR
      • The resource has been made linkable to the project/realm for the project linking enabled action
    • This API works for tokens with or without a project scope.
Path Params
string
required

HRN identifying the project

string
required

The hrn that identifies the resource.

Query Params
string
enum
required

The relation of the resource. Must be home or reference(link)

Allowed:
string

For external resource this ID needs to be provided.

string

The type of the resource. Required for resource=home. For adding resources of multiple types, use the type property in the request body instead.

Body Params
allowedActions
array of strings

The list of actions to add as a link to the project. The actions must be one of the 'projectLinkingEnabled' action of the service and must be made linkable to the project or the realm via the '/resources/{resource}/linkable' API

allowedActions
Headers
string

Correlates HTTP requests between a client and server. If not present in the incoming request, it will be generated.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json